#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "DBDTunableRowHandle.h"
#include "DreamPalletCosmeticComponent.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class THENIGHTMARE_API UDreamPalletCosmeticComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _maxCosmeticVisibilityDistance;

protected:
	UFUNCTION(BlueprintPure)
	float GetMaxCosmeticVisibilityDistance() const;

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_UpdateSurvivorDistanceToPallet(float distance);

public:
	UDreamPalletCosmeticComponent();
};

FORCEINLINE uint32 GetTypeHash(const UDreamPalletCosmeticComponent) { return 0; }
